Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredentialType

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredentialType

All Implemented Interfaces:
  `Serializable`

public final class PublicKeyCredentialType extends Object implements Serializable
The PublicKeyCredentialType defines the credential types.

Since:
  6.4
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PublicKeyCredentialType`
`PUBLIC_KEY`
The only credential type that currently exists.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Gets the value.
`static PublicKeyCredentialType`
`valueOf(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PUBLIC_KEY

public static final PublicKeyCredentialType PUBLIC_KEY
The only credential type that currently exists.

## Method Details

### getValue

public String getValue()
Gets the value.

Returns:
  the value

### valueOf

public static PublicKeyCredentialType valueOf(String value)